html,
body {
    width: 100%;
    min-height: 100%;
    min-height: -webkit-fill-available;
}

.page-loaders {
    position: fixed;
    inset: 0;
    z-index: 999999;

    width: 100vw;
    width: 100dvw;

    height: 100vh;
    height: 100dvh;
    min-height: -webkit-fill-available;

    background: #ffffff;
    overflow: hidden;
    margin: 0;
    padding: 0;

    display: flex;
    align-items: center;
    justify-content: center;

    transform: translateZ(0);
    -webkit-transform: translateZ(0);
}

.loading-center {
    width: 200px;
    height: 60px;
    position: relative;
    color: #55a7d8;
}

.loading-center .loading-circle {
    width: 20px;
    height: 20px;
    position: absolute;
    border-radius: 50%;
    background-color: currentColor;
    left: 15%;
    transform-origin: 50%;
    animation: loading-circle .25s alternate infinite ease;
}

.loading-center .loading-circle:nth-child(2) {
    left: 45%;
    animation-delay: .2s;
}

.loading-center .loading-circle:nth-child(3) {
    left: auto;
    right: 15%;
    animation-delay: .3s;
}

@keyframes loading-circle {
    0% {
        top: 60px;
        height: 5px;
        border-radius: 50px 50px 25px 25px;
        transform: scaleX(1.7);
    }

    40% {
        height: 20px;
        border-radius: 50%;
        transform: scaleX(1);
    }

    100% {
        top: 0;
    }
}

.loading-center .loading-shadow {
    display: none;
}

.loading-center span {
    position: absolute;
    top: 75px;
    left: 15%;
    font-size: 20px;
    letter-spacing: 12px;
    color: currentColor;
}

.loader {
    width: 50px;
    padding: 8px;
    aspect-ratio: 1;
    border-radius: 50%;
    background: #55a7d8;

    --_m:
        conic-gradient(#0000 10%, #000),
        linear-gradient(#000 0 0) content-box;

    -webkit-mask: var(--_m);
    mask: var(--_m);

    -webkit-mask-composite: source-out;
    mask-composite: subtract;

    animation: l3 1s infinite linear;
}

@keyframes l3 {
    to {
        transform: rotate(1turn);
    }
}